Subject: [MMUSIC] I-D Action: draft-ietf-mmusic-opportunistic-negotiation-01.txt

From: [email-masked]
Date: Thu, 14 Sep 2017 09:03:47 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiparty Multimedia Session Control WG of the IETF.

        Title           : Negotiating SRTP and RTCP Feedback using the RTP/AVP Profile
        Authors         : Andrew Hutton
                          Roland Jesske
                          Alan Johnston
                          Gonzalo Salgueiro
                          Bernard Aboba
	Filename        : draft-ietf-mmusic-opportunistic-negotiation-01.txt
	Pages           : 7
	Date            : 2017-09-14

Abstract:
   This document describes how the use of the Secure Real-time transport
   protocol (SRTP) [RFC3711]. can be negotiated using the RTP/AVP (Audio
   Video Profile) defined in [RFC3551].  Such a mechanism is used to
   provide a means for encrypted media to be used in environments where
   support for encryption is not known in advance, and not required.
   The same mechanism is also applied to negotiation of the Extended RTP
   Profile for Real-time Transport Control Protocol Based Feedback (RTP/
   AVPF) [RFC4585].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mmusic-opportunistic-negotiation/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-mmusic-opportunistic-negotiation-01
https://datatracker.ietf.org/doc/html/draft-ietf-mmusic-opportunistic-negotiation-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-opportunistic-negotiation-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Andy Hutton <[email-masked]>
Date: Fri, 15 Sep 2017 14:07:19 +0100

The changes to this draft are editorial and address a previous comment
from Colin Perkins that we needed to refer to RTP profiles by the full
name.

I am hoping we can now move this draft forward to WGLC and
subsequently close the work in SIPBrandy as well.

Regards
Andy

On Thu, Sep 14, 2017 at 5:03 PM,  <[email-masked]> wrote:
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 15 Sep 2017 13:19:40 +0000

Hi,

I sent some initial comments on the Abstract of the individual draft way
back. I don¹t think anyone ever replied, but it seems like my comments
have been addressed.

I do have some more comments, but they are mostly editorial so I can
provide them as WGLC comments.

Regards,

Christer

On 15/09/17 16:07, "mmusic on behalf of Andy Hutton"
<[email-masked] on behalf of [email-masked]> wrote:

>>         Filename        :
>>draft-ietf-mmusic-opportunistic-negotiation-01.txt
>>         Pages           : 7
>>         Date            : 2017-09-14
>>
>> Abstract:

---

From: "Hutton, Andrew" <[email-masked]>
Date: Fri, 15 Sep 2017 13:28:44 +0000

Christer, 

I believe your comments actually referred to https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-02 and are still valid. I asked Alan to address them.

Andy

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: 15 September 2017 14:20
To: Andy Hutton; mmusic (E-mail)
Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-opportunistic-negotiation-01.txt

Hi,

I sent some initial comments on the Abstract of the individual draft way back. I don¹t think anyone ever replied, but it seems like my comments have been addressed.

I do have some more comments, but they are mostly editorial so I can provide them as WGLC comments.

Regards,

Christer

On 15/09/17 16:07, "mmusic on behalf of Andy Hutton"
<[email-masked] on behalf of [email-masked]> wrote:

>I am hoping we can now move this draft forward to WGLC and subsequently 
>close the work in SIPBrandy as well.
>
>Regards
>Andy
>
>>https://datatracker.ietf.org/doc/draft-ietf-mmusic-opportunistic-negot
>>iat
>>ion/
>>
>>https://tools.ietf.org/html/draft-ietf-mmusic-opportunistic-negotiatio
>>n-0
>>1
>> 
>>https://datatracker.ietf.org/doc/html/draft-ietf-mmusic-opportunistic-
>>neg
>>otiation-01
>>
>>https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-opportunistic-nego
>>tia
>>tion-01
>>
>>
>> Please note that it may take a couple of minutes from the time of 
>>submission  until the htmlized version and diff are available at 
>>tools.ietf.org.
>>

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 15 Sep 2017 13:32:43 +0000

You are probably right :) The e-mail subject confused me.

On 15/09/17 16:28, "Hutton, Andrew" <[email-masked]> wrote:

>Christer, 
>
>I believe your comments actually referred to
>https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-02 and are still
>valid. I asked Alan to address them.
>
>Andy
>
>
>
>Subject: Re: [MMUSIC] I-D Action:

---

From: Alan Johnston <[email-masked]>
Date: Tue, 19 Sep 2017 21:20:29 -0400

Christer,

I just submitted the -03 version of the sipbrandy osrtp draft which should
address your comments.

     https://www.ietf.org/id/draft-ietf-sipbrandy-osrtp-03.txt

If you have further comments, please send them to sipbrandy so the authors
will see them!

Thanks!
- Alan -

On Fri, Sep 15, 2017 at 9:19 AM, Christer Holmberg <
[email-masked]> wrote:

> >>https://datatracker.ietf.org/doc/draft-ietf-mmusic-
> opportunistic-negotiat
> >>ion/
> >>
> >>https://tools.ietf.org/html/draft-ietf-mmusic-
> opportunistic-negotiation-0
> >>1
> >>
> >>https://datatracker.ietf.org/doc/html/draft-ietf-
> mmusic-opportunistic-neg
> >>otiation-01
> >>
> >>https://www.ietf.org/rfcdiff?url2=draft-ietf-
> mmusic-opportunistic-negotia
> >>tion-01
> >>
> >>
> >>submission

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Sep 2017 13:07:23 +0000

Hi Alan,

>I just submitted the -03 version of the sipbrandy osrtp draft which should address your comments.
>
> If you have further comments, please send them to sipbrandy so the authors will see them!

I will take a look, and send any comments to SIPBRANDY. Seems like I mixed up the drafts – sorry for that.

Regards,

Christer

On Fri, Sep 15, 2017 at 9:19 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Regards,

Christer

On 15/09/17 16:07, "mmusic on behalf of Andy Hutton"
<[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

>On Thu, Sep 14, 2017 at 5:03 PM,  <[email-masked]<mailto:[email-masked]>> wrote:
>>
>> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>>
>> [email-masked]<mailto:[email-masked]>
>[email-masked]<mailto:[email-masked]>

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Sep 2017 13:19:28 +0000

Hi,

I am currently reviewing draft-ietf-sipbrandy-osrtp-03, and the following
question comes to my mind: do we really need
draft-ietf-mmusic-opportunistic-negotiation? :)

Section 3 of draft-ietf-sipbrandy-osrtp-03 already more or less contains
SDP Offer/Answer procedures for OSRTP. We can change the name of section 3
in that draft to ³SDP Offer/Answer Procedures², modify the structure a
little, and add whatever might be missing.

Or, am I missing something?

Regards,

Christer

---

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Wed, 27 Sep 2017 19:57:40 +0000

Hi Christer -

See this: https://mailarchive.ietf.org/arch/msg/mmusic/wov2yErrgtUZURyRyVuVZ6K-nLI

Cheers,

-G

On Sep 27, 2017, at 9:19 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Regards,

Christer

On 14/09/17 19:03, "mmusic on behalf of [email-masked]<mailto:[email-masked]>"
<[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the Multiparty Multimedia Session Control WG
of the IETF.

      Title           : Negotiating SRTP and RTCP Feedback using the
RTP/AVP Profile
      Authors         : Andrew Hutton
                        Roland Jesske
                        Alan Johnston
                        Gonzalo Salgueiro
                        Bernard Aboba
Filename        : draft-ietf-mmusic-opportunistic-negotiation-01.txt
Pages           : 7
Date            : 2017-09-14

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mmusic-opportunistic-negotiati
on/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-mmusic-opportunistic-negotiation-01
https://datatracker.ietf.org/doc/html/draft-ietf-mmusic-opportunistic-nego
tiation-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-opportunistic-negotiat
ion-01

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Sep 2017 20:35:07 +0000

Hi,

In the mail you referenced the following is said:

“I see your point but Currently SIPBRANDY is chartered to produce Opportunistic SRTP as a BCP. There is also a milestone to
inform MMUSIC or other appropriate WGs of any changes needed to support Opportunistic SRTP (Not expected to be published
as an RFC).  I think SIPBRANDY is just carrying out what they are chartered to do.”

But, draft-ietf-mmusic-opportunistic-negotiation doesn’t really define any procedures – it references the SIPBRANDY draft for everything.

“[I-D.ietf-sipbrandy-osrtp] describes how Secure Real-time transport
              protocol (SRTP) can be negotiated opportunistically.”

But, as the SIPBRANDY is only Informational, where are the normative procedures?

“The exact negotiation mechanism is however outside the scope of this document,
              an example mechanism can be found in [I-D.ietf-sipbrandy-osrtp].”

How can negotiation be outside the scope of the document, when the title of the document contains “negotiating”?

In addition, the text says that the sipbrandy only contains “an example mechanism”.

If we are going to have this document, I think we shall include normative offer/answer procedures. The draft DOES contain some normative procedures, but I think we shall have it all in one place. One shall not have to read both documents just to figure out the offer/answer procedures.

Regards,

Christer

From: Gonzalo Salgueiro (gsalguei) [mailto:[email-masked]]
Sent: 27 September 2017 21:58
To: Christer Holmberg <[email-masked]>
Cc: [email-masked]
Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-opportunistic-negotiation-01.txt

Hi Christer -

Cheers,

-G

Hi,

Regards,

Christer

Abstract:

---

From: Andy Hutton <[email-masked]>
Date: Thu, 28 Sep 2017 09:57:55 +0100

Christer,

I agree that ideally we should have all the associated procedures in
one place and having two specs is not ideal however we have been going
round this circle for a couple of years now and just need to get this
done.

Originally we wanted this work to be done in MMUSIC but it got
dispatched to SIPBrandy but it was later discovered that an update to
RFC 4568 was needed and that the SIPBrandy charter did not allow this
so we were told an MMUSIC draft was needed after all to update the RFC
before the SIPBrandy work could be completed.

I do not want to start again and waste another couple of years lets
just get it finished.

Regards
Andy

On Wed, Sep 27, 2017 at 9:35 PM, Christer Holmberg
<[email-masked]> wrote:
> “I see your point but Currently SIPBRANDY is chartered to produce
> Opportunistic SRTP as a BCP. There is also a milestone to
>
> inform MMUSIC or other appropriate WGs of any changes needed to support
> Opportunistic SRTP (Not expected to be published
>
> But, draft-ietf-mmusic-opportunistic-negotiation doesn’t really define any
> procedures – it references the SIPBRANDY draft for everything.
>
>
>
> If we are going to have this document, I think we shall include normative
> offer/answer procedures. The draft DOES contain some normative procedures,
> but I think we shall have it all in one place. One shall not have to read
> both documents just to figure out the offer/answer procedures.
>
>
>
> Regards,
>
>
>
> Christer
>
>
>
>
>
>
>
>
>
>
>
>
>
> See this:
> https://mailarchive.ietf.org/arch/msg/mmusic/wov2yErrgtUZURyRyVuVZ6K-nLI
>
>
>
> Cheers,
>
>
>
> -G
>
>
>
> On Sep 27, 2017, at 9:19 AM, Christer Holmberg
> <[email-masked]> wrote:
>
>
>
> Hi,
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 28 Sep 2017 09:35:50 +0000

Hi,

>I do not want to start again and waste another couple of years lets

I suggest that we:

1)	Keep the SIPBRANDY draft as it is. Perhaps they could add a sentence
pointing out that that the normative procedures will be described
elsewhere.
2)	Keep the MMUSIC draft, but we add a proper 'SDP Offer/Answer
Considerations’ section, where we include the normal subsections (create
initial offer, process offer, process answer etc).

Regards,

Christer

>> as an RFC).  I think SIPBRANDY is just carrying out what they are
>>chartered
>> to do.”
>>
>>
>>
>> procedures  it references the SIPBRANDY draft for everything.
>>
>>
>>
>> How can negotiation be outside the scope of the document, when the
>>title of
>> the document contains “negotiating”?
>>
>>
>>